//---------------------------------------------------------------------------
#ifndef ColSelH
#define ColSelH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "cspin.h"
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
    TScrollBar *BlueBar;
    TScrollBar *GreenBar;
    TScrollBar *RedBar;
    TMemo *Memo1;
    TCheckBox *CurStatus;
    TCSpinEdit *MaxY;
    TStaticText *StaticText1;
    TCSpinEdit *MaxX;
    TStaticText *StaticText2;
    TCSpinEdit *MovY;
    TStaticText *StaticText3;
    TCSpinEdit *MovX;
    TStaticText *StaticText4;
    TComboBox *CurList;
    TStaticText *StaticText5;
    void __fastcall RedBarChange(TObject *Sender);
    void __fastcall CurStatusClick(TObject *Sender);
    void __fastcall MaxYKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
    void __fastcall MaxYKeyPress(TObject *Sender, char &Key);
    
    void __fastcall CurListChange(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall MaxYChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TForm2(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
  